Skip to main content

Create client admin user for a new tenant

POST 

/qsystem/rest/config/tenant/:tenantId/adminuser

Create client admin user for a new tenant. Use tenantAdminRoleId and tenantBranchGroupId values from the /tenant rest call that creates configuration data. This can only be performed by superadmin

curl -u user:password -i -X POST -H 'content-type:application/json' -d
'{"tenantId":"{tenantId}","userName":"tenantAdmin","password":"MyPassword10","firstName":"John","lastName":"Doe","pinCode":null,"language":1,
"imageUrl":null,"status":"ACTIVE", "branchHierarchyRoot":{tenantBranchGroupId},"branchGroups":[{tenantBranchGroupId}],
"roles":[{tenantAdminRoleId}], "data":{"label.phone":"+46123456789","label.email":"tenantadmin@qmatic.com"}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/tenant/{tenantId}/adminuser

Request​

Responses​